/*
 * Copyright (c) 2009 Cyrille Berger <cberger@cberger.net>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either 
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public 
 * License along with this library.  If not, see <http://www.gnu.org/licenses/>. */

#include "RenderWindow.h"

RenderWindow::RenderWindow()
{
}

RenderWindow::~RenderWindow()
{
  deleteImages();
}

void RenderWindow::setImages( std::list<const GTLCore::AbstractImage*> inputImages )
{
  deleteImages();
  m_inputImages = inputImages;
}

void RenderWindow::deleteImages()
{
  for( std::list<const GTLCore::AbstractImage*>::iterator it = m_inputImages.begin();
        it != m_inputImages.end(); ++it)
  {
    delete *it;
  }
}

const std::list<const GTLCore::AbstractImage*>& RenderWindow::inputImages() const
{
  return m_inputImages;
}
