/*
 * Copyright (c) 2009 Cyrille Berger <cberger@cberger.net>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either 
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public 
 * License along with this library.  If not, see <http://www.gnu.org/licenses/>. */

#ifndef _RENDER_WINDOW_H_
#define _RENDER_WINDOW_H_

#include <QMainWindow>
#include <GTLCore/AbstractImage.h>

class RenderWindow : public QMainWindow
{
  public:
    RenderWindow();
    ~RenderWindow();
    void setImages( std::list<const GTLCore::AbstractImage*> inputImages );
  protected:
    const std::list<const GTLCore::AbstractImage*>& inputImages() const;
  private:
    void deleteImages();
    std::list<const GTLCore::AbstractImage*> m_inputImages;
};

#endif
