#include "gtldesigner.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <KDE/KLocale>

static const char description[] =
    I18N_NOOP("Graphics Transfomation Languages Designer");

static const char version[] = "0.9.2";

int main(int argc, char **argv)
{
    KAboutData about("gtldesigner", 0, ki18n("GTLDesigner"), version, ki18n(description),
                     KAboutData::License_LGPL, ki18n("(c) 2008-2010 Cyrille Berger"), KLocalizedString(), 0, "cberger@cberger.net");
    about.addAuthor( ki18n("Cyrille Berger"), KLocalizedString(), "cberger@cberger.net" );
    KCmdLineArgs::init(argc, argv, &about);

    KCmdLineOptions options;
    options.add("+[URL]", ki18n( "Document to open" ));
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;

    GTLDesigner *widget = new GTLDesigner;

    // see if we are starting with session management
    if (app.isSessionRestored())
    {
        RESTORE(GTLDesigner);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        if (args->count() == 0)
        {
            //gtldesigner *widget = new gtldesigner;
            widget->show();
        }
        else
        {
            widget->show();
            widget->openFile( args->url( 0 ) );
            int i = 0;
            for (; i < args->count(); i++)
            {
                //gtldesigner *widget = new gtldesigner;
                widget->show();
            }
        }
        args->clear();
    }

    return app.exec();
}
